<!--
  @description: 统计报表-招采地图-放大
  @Modifier 杨胜国
  @routerPath:
  @date：  2021/03/17
-->
<template>
  <el-dialog
    v-dialogDrag
    :modal="false"
    :visible.sync="dialog"
    :close-on-click-modal="false"
    title="招采地图"
    width="90%"
    fullscreen
    @close="closeDialog"
  >
    <div class="content">
      <bidAndProcMap v-if="dialog" :search-data="searchData" :map-id="'mapSCatterChart'+randomId" />
    </div>
  </el-dialog>
</template>

<script>
/* 組件 */
import bidAndProcMapCharts from './bidAndProcMapCharts-detail.vue'// 图表
export default {
  name: 'BidAndProcMapChartsDialog',
  components: {
    'bidAndProcMap': bidAndProcMapCharts // 地图
  },
  props: {
    searchData: {
      type: Object,
      default: function() {
        return {}
      }
    }
  },
  data() {
    return {
      // 图表配置
      chartOption: {},
      searchForm: {},
      height: '450px', // 高度
      dialog: false // 弹窗状态
    }
  },
  computed: {
    // 随机
    randomId() {
      var Num = ''
      for (var i = 0; i < 6; i++) {
        Num += Math.floor(Math.random() * 10)
      }
      return Num
    }
  },
  methods: {
    /**
     * 打开弹窗
     *  @param {searchChartData} Object 全局的查询条件
    */
    open(searchChartData) {
      this.dialog = true
    },
    closeDialog() {
      this.dialog = false
    }
  }
}
</script>
<style lang="less" scoped>
/deep/.reportChart_crud{
  dt{
    display: none;
  }
}
.content{
  width: 100%;
  height:calc(100vh - 40px);
  min-height: 800px;
  .echart-dialog,.echart-dom{
    width: 100%;
    height:100%;
  }
}
</style>
